apiVersion: v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachine
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
    creationTimestamp: "2024-11-21T02:39:31Z"
    finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    generation: 1
    labels:
      velero.io/backup-name: backup-demo3
      velero.io/restore-name: restore-demo3
    name: fedora-s
    namespace: test
    resourceVersion: "3049111"
    uid: ba828d3e-8a8b-4319-8083-bf04714b99c6
  spec:
    dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: fedora-s
      spec:
        sourceRef:
          kind: DataSource
          name: fedora
          namespace: openshift-virtualization-os-images
        storage:
          resources: {}
          storageClassName: ocs-storagecluster-ceph-rbd-virtualization
    instancetype:
      kind: virtualmachineclusterinstancetype
      name: u1.medium
      revisionName: fedora-s-u1.medium-v1beta1-136d94c9-aa37-4a33-a7f4-75422d935d21-1
    preference:
      kind: virtualmachineclusterpreference
      name: fedora
      revisionName: fedora-s-fedora-v1beta1-09022cb0-c1e4-43c9-ad34-102e69d718c8-1
    running: true
    template:
      metadata:
        creationTimestamp: null
        labels:
          network.kubevirt.io/headlessService: headless
      spec:
        architecture: amd64
        domain:
          devices:
            interfaces:
            - macAddress: 02:1e:2e:00:00:01
              masquerade: {}
              name: default
          machine:
            type: pc-q35-rhel9.4.0
          resources: {}
        networks:
        - name: default
          pod: {}
        subdomain: headless
        volumes:
        - dataVolume:
            name: fedora-s
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: g96k-8bvk-jl7h
              user: cloud-user
          name: cloudinitdisk
  status:
    conditions:
    - lastProbeTime: "2024-11-21T02:39:31Z"
      lastTransitionTime: "2024-11-21T02:39:31Z"
      message: Guest VM is not reported as running
      reason: GuestNotRunning
      status: "False"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and not running
      reason: AllDVsReady
      status: "True"
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: "2024-11-21T02:39:31Z"
      message: '0/6 nodes are available: pod has unbound immediate PersistentVolumeClaims.
        preemption: 0/6 nodes are available: 6 Preemption is not helpful for scheduling.'
      reason: Unschedulable
      status: "False"
      type: PodScheduled
    created: true
    desiredGeneration: 1
    observedGeneration: 1
    printableStatus: ErrorUnschedulable
    runStrategy: Always
    volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: cloudinitdisk
      reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
kind: List
metadata:
  resourceVersion: ""
